Makrodefinicja: Wyrównaj płaszczyznę roboczą do ujęcia widoku

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Macro Align Working Plane to Camera and the translation is 100% complete.
Other languages:
English • ‎français • ‎italiano • ‎polski • ‎русский

Macro Align Working Plane to Camera.png Makrodefinicja: Wyrównaj płaszczyznę roboczą do ujęcia widoku

Opis
To makro przesuwa bieżącą Plaszczyzne roboczą na środek bieżącego widoku. Jest to przydatne, gdy pracujesz daleko od środka siatki.

Macro version: 1.0
Last modified: 2017-05-10
FreeCAD version: All
Download: ToolBar Icon
Autor: yorik
Autor
yorik
Do pobrania
ToolBar Icon
Odnosniki
Wersja Makrodefinicji
1.0
Data zmian
2017-05-10
Wersja FreeCAD
All
Domyślny skrót
Brak
Zobacz również
Makrodefinicja: Wyrównaj ujęcie widoku do płaszczyzny roboczej Macro Align Camera to Working Plane

Opis

To makro przesuwa bieżącą Plaszczyzne roboczą na środek bieżącego widoku. Jest to przydatne, gdy pracujesz daleko od środka siatki.

Użycie

  • Przesuń widok do miejsca, na które chcesz spojrzeć
  • Uruchom makrodefinicję

Skrypt

Ikonka paska narzędzi Macro Align Working Plane to Camera.png

Macro_Align_Working_Plane_to_Camera.FCMacro

import FreeCAD,FreeCADGui
cam = FreeCAD.Vector(FreeCADGui.ActiveDocument.ActiveView.getCameraNode().position.getValue().getValue())
pos = FreeCAD.DraftWorkingPlane.projectPoint(cam)
FreeCAD.DraftWorkingPlane.position = pos
FreeCADGui.Snapper.setGrid()